glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.40

Member Gio::Action::parse_detailed_name (const Glib::ustring& detailed_name, Glib::ustring& action_name, T_Value& target_value)
  Parameters

    | detailed_name | A detailed action name.
    [out] | action_name | The action name.
    [out] | target_value | The target value.

  Exceptions

    Glib::VariantParseError | if detailed_name has an invalid format or a target of an unexpected type.

Member Gio::Application::send_notification (const Glib::ustring& id, const Glib::RefPtr< Notification >& notification)
Member Gio::Application::signal_handle_local_options ()
Member Gio::Application::withdraw_notification (const Glib::ustring& id)
Member Gio::ApplicationCommandLine::get_options_dict ()
  Returns
    A VariantDict with the options.
Member Gio::ApplicationCommandLine::get_options_dict () const
  Returns
    A VariantDict with the options.
Member Gio::MemoryInputStream::add_data (const void* data, gssize len, const SlotDestroyData& destroy_slot)
Member Gio::MemoryInputStream::SlotDestroyData
Class Gio::Notification
Member Gio::Notification::add_button (const Glib::ustring& label, const Glib::ustring& action, const T_Value& target)
  Parameters

    label | Label of the button.
    action | An action name.
    target | action's parameter.

Member Gio::Notification::add_button (const Glib::ustring& label, const Glib::ustring& detailed_action)
  Parameters

    label | Label of the button.
    detailed_action | A detailed action name.

Member Gio::Notification::add_button_variant (const Glib::ustring& label, const Glib::ustring& action, const Glib::VariantBase& target)
  Parameters

    label | Label of the button.
    action | An action name.
    target | A Variant to use as action's parameter, or `0`.

Member Gio::Notification::create (const Glib::ustring& title)
  Parameters

    title | The title of the notification.

  Returns
    A new Notification instance.
Member Gio::Notification::set_body (const Glib::ustring& body)
  Parameters

    body | The new body for notification, or `0`.

Member Gio::Notification::set_default_action (const Glib::ustring& detailed_action)
  Parameters

    detailed_action | A detailed action name.

Member Gio::Notification::set_default_action (const Glib::ustring& action, const T_Value& target)
  Parameters

    action | An action name.
    target | action's parameter.

Member Gio::Notification::set_default_action_variant (const Glib::ustring& action, const Glib::VariantBase& target)
  Parameters

    action | An action name.
    target | A Variant to use as action's parameter, or `0`.

Member Gio::Notification::set_icon (const Glib::RefPtr< Icon >& icon)
  Parameters

    icon | The icon to be shown in notification, as a Icon.

Member Gio::Notification::set_title (const Glib::ustring& title)
  Parameters

    title | The new title for notification.

Member Gio::Notification::set_urgent (bool urgent=true)
  Parameters

    urgent | `true` if notification is urgent.

Member Gio::Settings::get_default_value (const Glib::ustring& key, Glib::VariantBase& value) const
Member Gio::Settings::get_user_value (const Glib::ustring& key, Glib::VariantBase& value) const
Member Gio::TlsInteraction::invoke_request_certificate (const Glib::RefPtr< TlsConnection >& connection, TlsCertificateRequestFlags flags, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    connection | A TlsConnection object.
    flags | Flags providing more information about the request.
    cancellable | An optional Cancellable cancellation object.

  Returns
    The status of the certificate request interaction.
Member Gio::TlsInteraction::request_certificate (const Glib::RefPtr< TlsConnection >& connection, TlsCertificateRequestFlags flags, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    connection | A TlsConnection object.
    flags | Flags providing more information about the request.
    cancellable | An optional Cancellable cancellation object.

  Returns
    The status of the request certificate interaction.
Member Gio::TlsInteraction::request_certificate_async (const Glib::RefPtr< TlsConnection >& connection, TlsCertificateRequestFlags flags, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    connection | A TlsConnection object.
    flags | Flags providing more information about the request.
    cancellable | An optional Cancellable cancellation object.
    slot | Will be called when the interaction completes.

Member Gio::TlsInteraction::request_certificate_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to the callback.

  Returns
    The status of the request certificate interaction.
Member Glib::KeyFile::save_to_file (const std::string& filename)
Member Glib::Markup::IGNORE_QUALIFIED
Member Glib::SPAWN_CLOEXEC_PIPES
Member Glib::VariantDict::clear ()
Member Glib::VariantDict::contains (const Glib::ustring& key) const
  Parameters

    key | The key to lookup in the dictionary.

  Returns
    `true` if key is in dict.
Member Glib::VariantDict::create (const VariantBase& from_asv)
  Returns
    A VariantDict.
Member Glib::VariantDict::insert_value_variant (const Glib::ustring& key, const VariantBase& value)
  Parameters

    key | The key to insert a value for.
    value | The value to insert.

Member Glib::VariantDict::remove (const Glib::ustring& key)
  Parameters

    key | The key to remove.

  Returns
    `true` if the key was found and removed.